GearmanWorker::addServer
GearmanWorker::clone
GearmanWorker
PHP Manual

# GearmanWorker::addServers

(PECL gearman >= 0.5.0)

GearmanWorker::addServers — Add job servers

### Description

public bool GearmanWorker::addServers ( string `$servers` = 127.0.0.1:4730 )

Adds one or more job servers to this worker. These go into a list of servers that can be used to run jobs. No socket I/O happens here.

### Parameters

`servers`

  A comma separated list of job servers in the format host:port. If no port is specified, it defaults to 4730.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Add two job servers

`<?php
$worker= new GearmanWorker();
$worker->addServers("10.0.0.1,10.0.0.2:7003");
?>`

### See Also

- GearmanWorker::addServer() - Add a job server

GearmanWorker::addServer
GearmanWorker::clone
GearmanWorker
PHP Manual